package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 养护记录报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbMaintenanceorderitemsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbMaintenanceorderitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbMaintenanceorderitemsMapper.addSKcBbMaintenanceorderitems", pd);
    }

    public List<PageData> findSKcBbMaintenanceorderitemsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbMaintenanceorderitemsMapper.selectSKcBbMaintenanceorderitemsList", pd);
    }

    public Integer SKcBbMaintenanceorderitemsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbMaintenanceorderitemsMapper.SKcBbMaintenanceorderitemsRemove", pd);
    }


    public Integer updateSKcBbMaintenanceorderitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbMaintenanceorderitemsMapper.updateSKcBbMaintenanceorderitems", pd);
    }

}
